# Mixsy

A tool for combining Bitsy games.

Paste your game data into the main and additional inputs, and click _mix_!

All palettes, rooms, tiles, sprites, items, exits, endings, variables and dialogue 
will be copied from the additional game to the main game. 
Tiles will also be deduplicated, to avoid unnecessary extra tiles in your merged game. 
The resulting merged game will appear in the output box. 
You can copy and paste this back into Bitsy.

I'm fairly confident that Mixsy won't mangle your game data, 
but I still recommend taking backups of your games periodically.

Mixsy requires WebAssembly, so if it doesn't work on your web browser 
I suggest using [bitsy merge](https://seansleblanc.itch.io/bitsy-merge) instead.

# Credits

A tool by Max Bradbury

Thanks to Adam Le Doux for Bitsy

Thanks to Freya for the colour palette (I love that watermelon and mint-choc-chip kinda thing)

Thanks to Candle, Sean and everyone in the Bitsy community
